// Copyright (c) 2015, Will Squire. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library functional_behaviour_tree.decorator;

import 'node.dart';
import 'dart:async';

/// The decorator node (or wrapper node) is a node that contains or 'wraps' another node inside itself,
/// extending the contained node's functionality without altering its encapsulated implementation or
/// building a new class.
typedef Future<bool> Decorator(Object blackboard, Node node);